org.jbpm.process.core.timer

## Class Timer

- java.lang.Object
- - org.jbpm.process.core.timer.Timer

- All Implemented Interfaces:
    Serializable

      public class Timer
      extends Object
      implements Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `TIME_CYCLE`
    `static int` | `TIME_DATE`
    `static int` | `TIME_DURATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Timer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDate()`
    `String` | `getDelay()`
    `long` | `getId()`
    `String` | `getName()`
    `String` | `getPeriod()`
    `int` | `getTimeType()`
    `void` | `setDate(String date)`
    `void` | `setDelay(String delay)`
    `void` | `setId(long id)`
    `void` | `setName(String name)`
    `void` | `setPeriod(String period)`
    `void` | `setTimeType(int timeType)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### TIME_DURATION

          public static final int TIME_DURATION

      See Also:
        Constant Field Values

    - #### TIME_CYCLE

          public static final int TIME_CYCLE

      See Also:
        Constant Field Values

    - #### TIME_DATE

          public static final int TIME_DATE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Timer

          public Timer()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getDelay

          public String getDelay()

    - #### setDelay

          public void setDelay(String delay)

    - #### getPeriod

          public String getPeriod()

    - #### setPeriod

          public void setPeriod(String period)

    - #### getDate

          public String getDate()

    - #### setDate

          public void setDate(String date)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getTimeType

          public int getTimeType()

    - #### setTimeType

          public void setTimeType(int timeType)

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.